#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	p2c
Version		:	1.22
Release		:	17.0.15.rel%{?dist}
Summary		:	A Pascal to C translator

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://rpm.pbone.net

Source0		:	%{name}-%{version}.tar.bz2
Patch0		:	%{name}-%{version}-newpatch.patch
# Fixes conflicting types for 'my_memcpy' build error: thanks Anssi
Patch1		:	%{name}-%{version}-memcpy.patch
Patch2		:	%{name}-%{version}-getline.patch

#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description
P2c is a system for translating Pascal programs
into the C language.
P2c accepts input source files in certain
Pascal dialects:
HP Pascal,
Turbo/UCSD Pascal,
DEC VAX Pascal,
Oregon Software Pascal/2,
Macintosh Programmer's Workshop Pascal
Sun/Berkeley Pascal.
P2c outputs a set of .c and .h files which make up
a C program equivalent to the original Pascal program.
 The C program can then be compiled
using a standard C compiler, such as gcc.

Install the p2c package if you need a program for
translating Pascal code into C code.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}c
%{_libdir}/lib%{name}.so.1*
%{_prefix}/lib/%{name}/
%{_mandir}/man1/%{name}.1.gz



#=============================================================================
%package		devel
Summary		:       Files for p2c Pascal to C translator development

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The p2c-devel package contains the files necessary
for development of the p2c Pascal to C translation
system.

Install the p2c-devel package if you want to do
p2c development.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root, 0755)
%{_includedir}/%{name}/%{name}.h
%{_libdir}/lib%{name}.a

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p0

mkdir src/shlib
mkdir include
ln -s ../src include/p2c
cp src/sys.p2crc src/p2crc

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__make}						\
	RPM_OPTS="$RPM_OPT_FLAGS -fPIC"			\
	%{_smp_mflags}					\
    
%{__make}						\
	RPM_OPTS="$RPM_OPT_FLAGS -fPIC"			\
	-C src						\
	%{_smp_mflags}					\
	shlib

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p}						\
	%{buildroot}%{_mandir}/man1			\
	%{buildroot}%{_libdir}				\
	%{buildroot}%{_includedir}

%{__make}						\
	RPM_INSTALL=%{buildroot}			\
	LIBDIR=%{buildroot}%{_libdir}			\
	MANDIR=%{buildroot}%{_mandir}/man1		\
	install	

#-----------------------------------------------------------------------------
%changelog
